eZ Community » Forums » Install & configuration » install troubles on PostgreSQL
expandshrink

install troubles on PostgreSQL

install troubles on PostgreSQL

Friday 27 December 2002 2:22:15 pm

Hello,
I am trying to install EZPublish 3RC1 on a PostgreSQL 7.2.2, Apache 1.3.26, php 4.1.1.
Following install instructions, I saw some error messages when executing the ..../kernel/sql/postgresql/kernel_clean.sql
But it finished.
Using phppgadmin 2.3, I can see the db ezpublish and its tables.
site.ini configured properly.
But when running the ezpublish setup, it argues that my system only has support for Mysql.
Restarting and choosing finetuning, I can read that:
In order to enable PostgreSQL support, --with-pgsql[=DIR] is required when you compile PHP.
More information on the PostgreSQL extension can be found at php.net.

How it can be? I am running phppgadmin.
Reading documentation at php.net, I see that my stock php4 installation has shared modules enabled. So it can load postgresql as modules at runtime.
My php.ini has

extension_dir = /usr/lib/php4
extension=mysql.so
extension=pgsql.so
;extension=ldap.so
;extension=imap.so
;extension=odbc.so

As you can see, postgresql support is loaded as a module, as mysql support!
running phpinfo, I got:
'./configure' '--prefix=/usr' '--disable-debug' '--enable-pic' '--enable-inline-optimization' '--with-apxs=/usr/sbin/apxs' '--enable-shared' '--disable-static' '--with-config-file-path=/etc/php4/apache' '--with-exec-dir=/usr/bin' '--with-regex=system' '--with-gettext' '--with-freetype-dir=/usr' '--with-gd' '--with-jpeg-dir=/usr' '--with-png' '--with-zlib' '--with-db2' '--with-db3' '--with-gdbm' '--enable-debugger' '--enable-openssl' '--enable-magic-quotes' '--enable-safe-mode' '--enable-sockets' '--enable-sysvsem' '--enable-sysvshm' '--enable-track-vars' '--enable-yp' '--enable-wddx' '--enable-snmp' '--enable-dbf' '--enable-ftp' '--enable-bcmath' '--without-mysql' '--without-unixODBC' '--with-xml' '--with-mcrypt'

You can see that it was compiled WITHOUT mysql support. Instead, mysql support (and postgresql) are loaded as modules at runtime, by proper php.ini configuration.

Why ezpublish does not recognize postgresql support?

My concern is because I am testing using the same Linux distribution and rpm packages as my ISP (a good idea to iron out problems before uploading to my site). I have very little chance to get them to change configurations and even less to recompile php.

I must be able to get ezpublish running with stock configurations and compilations. Sure, they altered some configs for sake of security, but are not likely to change for another purposes...

I successfully got ezpublish running over mysql at another local directory.

How can I make ezpublish run over postgresql?

Best regards.
Andre Felipe

No reply yet!

expandshrink

You must be logged in to post messages in this topic!

36 542 Users on board!

Forums menu

Proudly Developed with from